import requests
url = "https://app.ubik-agent.com/api/v1/mcp-servers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.ubik-agent.com/api/v1/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.ubik-agent.com/api/v1/mcp-servers \
--header 'X-API-KEY: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"transport_type": "<string>",
"server_url": "<string>",
"description": "<string>",
"source_type": "manual",
"flow": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_id": "<string>",
"local_path": "<string>",
"online": true,
"remote_urls": {
"sse": "<string>",
"http": "<string>"
},
"device_name": "<string>"
},
"cached_tools": [
{}
],
"cached_resources": [
{}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List available MCP servers
Retrieves a paginated list of MCP servers accessible to the user.
import requests
url = "https://app.ubik-agent.com/api/v1/mcp-servers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.ubik-agent.com/api/v1/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.ubik-agent.com/api/v1/mcp-servers \
--header 'X-API-KEY: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"transport_type": "<string>",
"server_url": "<string>",
"description": "<string>",
"source_type": "manual",
"flow": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device_id": "<string>",
"local_path": "<string>",
"online": true,
"remote_urls": {
"sse": "<string>",
"http": "<string>"
},
"device_name": "<string>"
},
"cached_tools": [
{}
],
"cached_resources": [
{}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"has_more": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Headers
Query Parameters
x >= 11 <= x <= 100Response
Successful Response
Hide child attributes
Hide child attributes
The unique identifier for the MCP server.
The name of the MCP server.
The current status of the MCP server (e.g., active, inactive).
MCP transport type (sse or http).
MCP server connection URL.
A description of the MCP server.
Origin of the server: manual or flow_relay.
Flow relay metadata when source_type is flow_relay.
Hide child attributes
Hide child attributes
Flow MCP profile identifier.
Desktop device identifier hosting this MCP instance.
Local path on the desktop agent.
Whether the relay is currently connected.
Human-readable device name.
The tools provided by this MCP server.
The resources provided by this MCP server.
Total number of MCP servers available.
The current page number.
The number of items per page.
Indicates if there are more pages available.
Was this page helpful?

